#
# Copyright (C) 1998-2011 OSS Nokalva, Inc.  All rights reserved.
#

#
# Illustrate the ASN.1-compile, C-compile, link and execute process
# for the "Generic Abstract Syntax" (csample.ASN).


#OSS_ASN1_C_DIR = $(OSSINFO)/ossasn1/linux-glibc2.3-x86/9.0.0
OSS_ASN1_C_DIR = /home/thorpe/ossasn1/linux-glibc2.3-x86/9.0.0

ASN1        = $(OSS_ASN1_C_DIR)/bin/asn1
OSS_LIB     = $(OSS_ASN1_C_DIR)/lib
OSS_INCLUDE = $(OSS_ASN1_C_DIR)/include
CC          = cc
LINK        = cc
CFLAGS      = -I. -I$(OSS_INCLUDE)
MORE        = more 

.SUFFIXES: .o .c
.c.o:
	$(CC) -c $(CFLAGS) $<

testcsmp.txt: testcsmp
	./testcsmp > testcsmp.txt
	more testcsmp.txt

# Link the C-compiled output of the ASN.1 compiler with a simple
# demonstration application program and the appropriate runtime library.

testcsmp: csample.o testcsmp.o
	$(LINK) -o testcsmp csample.o testcsmp.o $(OSS_LIB)/libasn1code.a

# C-compile the output of the ASN.1 compiler

csample.o: csample.c

# ASN.1-compile the ASN.1 specification file

csample.c: csample-52kb.asn
	$(ASN1) csample-52kb.asn -extern csample -soed csample.c -root -ber -h csample.h -compat v9.0.0 -noSampleCode

# Cleanup

clean:
	rm -f csample.c csample.h csample.o testcsmp.o testcsmp testcsmp.txt
